Bug 1123540 - [abrt] xscreensaver-gl-extras: gen7_update_renderbuffer_surface(): flurry killed by SIGSEGV
Summary: [abrt] xscreensaver-gl-extras: gen7_update_renderbuffer_surface(): flurry kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c2cce19d8542be4e9eaee9e9383...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-26 03:21 UTC by Steven Stern
Modified: 2015-06-29 21:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:45:49 UTC


Attachments (Terms of Use)
File: backtrace (28.87 KB, text/plain)
2014-07-26 03:21 UTC, Steven Stern
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-26 03:21 UTC, Steven Stern
no flags Details
File: core_backtrace (3.46 KB, text/plain)
2014-07-26 03:21 UTC, Steven Stern
no flags Details
File: dso_list (3.22 KB, text/plain)
2014-07-26 03:21 UTC, Steven Stern
no flags Details
File: environ (1.65 KB, text/plain)
2014-07-26 03:21 UTC, Steven Stern
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-26 03:21 UTC, Steven Stern
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-26 03:21 UTC, Steven Stern
no flags Details
File: maps (16.62 KB, text/plain)
2014-07-26 03:21 UTC, Steven Stern
no flags Details
File: open_fds (242 bytes, text/plain)
2014-07-26 03:21 UTC, Steven Stern
no flags Details
File: proc_pid_status (953 bytes, text/plain)
2014-07-26 03:21 UTC, Steven Stern
no flags Details
File: var_log_messages (526 bytes, text/plain)
2014-07-26 03:21 UTC, Steven Stern
no flags Details

Description Steven Stern 2014-07-26 03:21:01 UTC
Version-Release number of selected component:
xscreensaver-gl-extras-5.29-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        flurry -root
crash_function: gen7_update_renderbuffer_surface
executable:     /usr/libexec/xscreensaver/flurry
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gen7_update_renderbuffer_surface at gen7_wm_surface_state.c:444
 #1 brw_update_renderbuffer_surfaces at brw_wm_surface_state.c:702
 #2 brw_upload_state at brw_state_upload.c:645
 #3 brw_try_draw_prims at brw_draw.c:487
 #4 brw_draw_prims at brw_draw.c:581
 #5 vbo_exec_vtx_flush at vbo/vbo_exec_draw.c:399
 #6 vbo_exec_FlushVertices_internal at vbo/vbo_exec_api.c:555
 #7 vbo_exec_FlushVertices at vbo/vbo_exec_api.c:1164
 #8 _mesa_BlendFuncSeparate at main/blend.c:238
 #9 draw_flurry at ../../../hacks/glx/flurry.c:284

Comment 1 Steven Stern 2014-07-26 03:21:04 UTC
Created attachment 921110 [details]
File: backtrace

Comment 2 Steven Stern 2014-07-26 03:21:05 UTC
Created attachment 921111 [details]
File: cgroup

Comment 3 Steven Stern 2014-07-26 03:21:05 UTC
Created attachment 921112 [details]
File: core_backtrace

Comment 4 Steven Stern 2014-07-26 03:21:06 UTC
Created attachment 921113 [details]
File: dso_list

Comment 5 Steven Stern 2014-07-26 03:21:07 UTC
Created attachment 921114 [details]
File: environ

Comment 6 Steven Stern 2014-07-26 03:21:08 UTC
Created attachment 921115 [details]
File: exploitable

Comment 7 Steven Stern 2014-07-26 03:21:08 UTC
Created attachment 921116 [details]
File: limits

Comment 8 Steven Stern 2014-07-26 03:21:09 UTC
Created attachment 921117 [details]
File: maps

Comment 9 Steven Stern 2014-07-26 03:21:10 UTC
Created attachment 921118 [details]
File: open_fds

Comment 10 Steven Stern 2014-07-26 03:21:11 UTC
Created attachment 921119 [details]
File: proc_pid_status

Comment 11 Steven Stern 2014-07-26 03:21:11 UTC
Created attachment 921120 [details]
File: var_log_messages

Comment 12 Mamoru TASAKA 2014-07-28 04:01:45 UTC
Reassiging to mesa to ask for help.

Comment 13 Fedora End Of Life 2015-05-29 12:28:29 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:45:49 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.